package com.smppw.common.pojo.enums;

/**
 * @author Rain
 * @date 2023/3/14 23:05
 * @description
 */
public enum BarraRiskProfitEnum {

    PRODUCT_RET(1, "productRet", "product_ret", "产品波动率", "产品收益率"),
    SPECIAL_FACTOR_RET(2, "specialFactorRet", "special_factor_ret", "特质因子贡献波动率", "特质因子贡献收益率"),
    MARKET_RET(3, "marketRet", "market_ret", "风格因子贡献波动率", "风格因子贡献收益率"),
    R_SQUARE(4, "r2", "r_squared", "R2值", "R2值");

    BarraRiskProfitEnum(int type, String key, String code, String risk, String profit) {
        this.type = type;
        this.key = key;
        this.code = code;
        this.risk = risk;
        this.profit = profit;
    }

    private final int type;
    private final String key;
    private final String code;
    private final String risk;
    private final String profit;

    public int getType() {
        return type;
    }

    public String getKey() {
        return key;
    }

    public String getCode() {
        return code;
    }

    public String getRisk() {
        return risk;
    }

    public String getProfit() {
        return profit;
    }
}
